import {useEffect, useRef} from "react";
import Q from 'https://demo.qunee.com/lib/qunee-es.js';

export function Graph({onload}) {
    const ref = useRef();
    useEffect(() => {
        let graph = new Q.Graph(ref.current);
        graph.canvasPanel.style.flexGrow = '1';
        onload && onload(graph);
        return () => {
            graph.destroy();
        }
    }, [])

    return (
        <div ref={ref} style={{display: 'flex', flexDirection: 'column', flexGrow: '1', minHeight: '300px'}}/>
    );
}
